# Interface GmfGroup

#### Hierarchy

- GmfGroup

- Defined in src/themes.js:70

#####
Index

### Properties

children
dimensions
id
metadata
mixed
name
ogcServer
popupId
time

## Properties

### children

children: (GmfLayer | GmfGroup)[]

- Defined in src/themes.js:74

### dimensions

dimensions: Object

The dimensions managed by the OpenLayers layer, if the value is null we will take the dimension from the application. This is present only on non mixed first level group.

- Defined in src/themes.js:75

### id

id: number

(GmfBaseNode)

- Defined in src/themes.js:71

### metadata

metadata: GmfMetaData

(GmfBaseNode)

- Defined in src/themes.js:72

### mixed

mixed: boolean

A mixed group is a group on which one the layers comes from different sources, then all the sub GeoMapFish layers (leaf) will be an OpenLayers layer. By opposition a non mixed first level group contains only GeoMapFish layers WMS from the same server, then we have only one OpenLayers layer for all the first level group. All the group child will have the same value of his parent, In other word, all the group of a first level group will have the same value.

- Defined in src/themes.js:78

### name

name: string

(GmfBaseNode)

- Defined in src/themes.js:73

### ogcServer

ogcServer: string

On non mixed first level group it is the ogc server to use.

- Defined in src/themes.js:84

### popupId

popupId: string

a popup identifier for the associate submenu.

- Defined in src/themes.js:87

### time

time: TimeProperty

On non mixed first level group with more then one time layer, it is the time information.

- Defined in src/themes.js:85

Generated using TypeDoc